

#ifndef _PROTOCOL_H_
#define _PROTOCOL_H_

/* a fifo-like buffer for camera data */
struct dbuf {
	int ref_count;
	int owner; /* socket this buffer belongs to */
	int size; /* amount of data in fifo */
	void *rp; /* read pointer */
	void *wp; /* write pointer */
	int bsize; /* buffer size */
	void *data; /* pointer to buffer area */
};

int init_comms(void);
int proto_iteration (int timeout);
void free_dbuf(struct dbuf *db);

#endif
